=== debian/changelog ===
66-tools (0.1.0.1experimental1-1.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Sat, 10 Feb 2024 16:55:26 +0200
