=== debian/control ===
Source: 66-tools
Section: s6-experimental
Priority: optional
Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 66 (>= 0.7),
 s6 (>= 2.12),
 s6-rc (>= 0.5.4.2),
 oblibs (>= 0.2),
 skalibs-dev (>= 2.14),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9),
 libexecline2.9 ,
 libskarnet2.14
Standards-Version: 4.6.2
Homepage: https://web.obarun.org/software/66/
#Vcs-Browser: https://salsa.debian.org/debian/66
#Vcs-Git: https://salsa.debian.org/debian/66.git

Package: 66-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: A collection of helpers tools to accomplish various and repetitive tasks in service scripts.
