## 66-tools 0.1.0.2

=== debian/changelog ===
66-tools (0.1.0.2-0experimental1) UNRELEASED; urgency=medium

  * New upstream realease. Moved to gitlab.
  * Adapted to oblibs 0.3.0.0

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Sun, 09 Jun 2024 22:22:22 +1000

66-tools (0.1.0.1experimental1-1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Thu, 18 Jan 2024 22:22:22 +1000
