=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  autotools-dev,
- 66 (>= 0.7),
+ 66 (>= 0.7.1.0),
  s6 (>= 2.12),
- s6-rc (>= 0.5.4.2),
- oblibs (>= 0.2),
+ oblibs (>= 0.3.0.0),
  skalibs-dev (>= 2.14),
  libs6-dev (>= 2.12),
  libexecline-dev (>= 2.9),
@@ -26,6 +25,10 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ 66 (>= 0.7.1.0),
+ s6 (>= 2.12),
+ oblibs (>= 0.3.0.0),
+ execline (>= 2.9),
 Description: A collection of helpers tools to accomplish various and repetitive tasks in service scripts.
