## 66-tools 0.1.1.0

=== debian/changelog ===
66-tools (0.1.1.0-antix1) unstable; urgency=medium

  * antiX build from prowler.gr
  * use with 0.8.0 66 series
  * use with oblibs 0.3.1.0  
  * bump version

 -- anticapitalista <antix@operamail.com>  Fri, 18 Oct 2024 15:48:13 +0300

66-tools (0.1.0.1-experimental1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- ProwlerGr <Prowler73@gmail.com>  Thu, 18 Jan 2024 22:22:22 +1000
