=== debian/control ===
Source: 66-tools
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 66 (>= 0.8.0),
 s6 (>= 2.13.1),
 oblibs (>= 0.3.1),
 skalibs-dev (>= 2.14.3),
 libs6-dev (>= 2.13.1),
 libexecline-dev (>= 2.9.6),
 execline (>= 2.9.6),
 libexecline2.9 ,
 libskarnet2.14t64
Standards-Version: 4.6.2
Homepage: https://web.obarun.org/software/66/
Vcs-Browser: https://salsa.debian.org/init-diversity/s6-66/66
Vcs-Git: https://salsa.debian.org/init-diversity/s6-66/66.git

Package: 66-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 66 (>= 0.8.0),
 s6 (>= 2.13.1),
 oblibs (>= 0.3.1),
 execline (>= 2.9.6),
Description: 66 tools is a collection of helpers tools to accomplish various and repetitive tasks in service scripts when using s6-66.
 Some utilities are language execline specific (usually named with execl- prefix) where other can be used on classic shell.
