=== debian/rules ===
--- 
+++ 
@@ -31,13 +31,10 @@
 %:
 	dh $@
 
-override_dh_auto_configure-arch:
-#	./tools/gen-deps.sh > package/deps.mak
+override_dh_clean:
+	rm -rf README.md
+	dh_clean
+
+override_dh_auto_configure:
 	./configure -- $(CONFIG_OPT)
 
-#override_dh_auto_configure-indep:
-#override_dh_auto_build-indep:
-#override_dh_auto_install-indep:
-#	mkdir -p debian/tmp/usr/share/doc/s6
-#	cp -aT doc debian/tmp/usr/share/doc/s6
-#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info
