=== debian/changelog ===
66-tools (0.1.2.0-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * New upstream release 0.1.2.0.

  [ anticapitalista ]
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 25 Sep 2025 15:02:51 +0300

66-tools (0.1.1.0-0experimental1) UNRELEASED; urgency=medium

  * New upstream release.
  * Adapted to oblibs 0.3.2.1

 -- ProwlerGr <Prowler73@gmail.com>  Sun, 09 Jun 2024 22:22:22 +1000
