=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#System types:
#CONFIG_OPT += --target=$(DEB_BUILD_GNU_TYPE) 
#CONFIG_OPT += --host=$(DEB_HOST_GNU_TYPE)

#Installation directories:
CONFIG_OPT += --prefix=/usr
#CONFIG_OPT += --exec-prefix=/usr

#Fine tuning of the installation directories:
#CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
#CONFIG_OPT += --libexecdir=\$${prefix}/libexec

#Dependencies:
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --with-lib=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
#CONFIG_OPT += --with-dynlib=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#CONFIG_OPT += --with-dynlib=\$${prefix}/lib

#Optional features
#CONFIG_OPT += --enable-shared
#CONFIG_OPT += --disable-static
#CONFIG_OPT += --disable-allstatic
#CONFIG_OPT += --enable-static-libc
#CONFIG_OPT += --disable-all-pic
#CONFIG_OPT += --enable-slashpackage[=ROOT]
#CONFIG_OPT += --enable-absolute-paths  

#Dbus support:
#CONFIG_OPT += --enable-dbus=basu|elogind
#CONFIG_OPT += --with-dbus-system-service-dir=/usr/share/dbus-1/system-services
#CONFIG_OPT += --with-dbus-session-service-dir=/usr/share/dbus-1/services
#CONFIG_OPT += --with-dbus-system-name=system_bus_socket
#CONFIG_OPT += --with-dbus-session-name=dbus


%:
	dh $@

override_dh_clean:
	rm -rf README.md
	dh_clean

override_dh_auto_configure:
	./configure -- $(CONFIG_OPT)
