=== debian/watch ===
--- 
+++ 
@@ -33,5 +33,5 @@
 #https://pypi.debian.net/66/66-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
 
 # Direct Git.
-opts="mode=git" https://git.obarun.org/obarun/66-tools
+opts="mode=git" https://git.obarun.org/obarun/66-tools.git
 #    refs/tags/v([\d\.]+)
